## README Moteur Physique sans affichage avec une classe
##
## Le comportement du system est encapsule dans la classe Jeu
##    - elle possède en attribut les grandeurs physique
##    - la methode evoluer fait evoluer le jeu (lois physiques)
##    - la methode afficher affiche les grandeurs physiques à l'ecran


class Jeu():
    
    def __init__(self):
        self.x=0
        self.y=0
        self.vx=50
        self.vy=10
        self.ax=0
        self.ay=-9
        self.dt=0.01

    def evoluer(self):
        self.x=self.x+self.vx*self.dt
        self.y=self.y+self.vy*self.dt
        self.vx=self.vx+self.ax*self.dt
        self.vy=self.vy+self.ay*self.dt


    def afficher(self):
        print("(x,y): "+str(self.x)+","+str(self.y)+"  vx,vy: "+str(self.vx)+","+str(self.vy))


jeu=Jeu()
for i in range(1000):
    jeu.evoluer()
    jeu.afficher()
    
